# OvObjectPropertyDefinition Class Reference

`#include <mgOvObjectPropertyDefinition.h>`

List of all members.

## Detailed Description

summary>Abstract class defining physical schema overrides for an object property definition.

Definition at line 36 of file mgOvObjectPropertyDefinition.h.

## Public Member Functions
NAMESPACE_OSGEO_FDO_PROVIDERS_RDBMS_OVERRIDE::OvPropertyMappingClass * | CreateClassMapping (System::Boolean attach)
NAMESPACE_OSGEO_FDO_PROVIDERS_RDBMS_OVERRIDE::OvPropertyMappingConcrete * | CreateConcreteMapping (System::Boolean attach)
NAMESPACE_OSGEO_FDO_PROVIDERS_RDBMS_OVERRIDE::OvPropertyMappingSingle * | CreateSingleMapping (System::Boolean attach)
__property NAMESPACE_OSGEO_FDO_PROVIDERS_RDBMS_OVERRIDE_SQLSERVERSPATIAL::IOvPropertyMappingDefinition * | get_MappingDefinition ()
__property NAMESPACE_OSGEO_FDO_PROVIDERS_RDBMS_OVERRIDE_MYSQL::IOvPropertyMappingDefinition * | get_MappingDefinition ()
__property NAMESPACE_OSGEO_FDO_PROVIDERS_RDBMS_OVERRIDE::OvPropertyMappingDefinition * | get_MappingDefinition ()
| Gets the object property mapping definition.
System::Void | InitFromXml (NAMESPACE_OSGEO_COMMON_XML::XmlSaxContext *context, NAMESPACE_OSGEO_COMMON_XML::XmlAttributeCollection *attributes, System::String *mappingType, NAMESPACE_OSGEO_COMMON_XML::XmlAttributeCollection *mappingAttributes)
| OvObjectPropertyDefinition (System::String *name)
| OvObjectPropertyDefinition ()
| Constructs a default of an FdoSqlServerOvObjectPropertyDefinition.
| OvObjectPropertyDefinition (System::String *name)
| OvObjectPropertyDefinition ()
| Constructs a default of an OvObjectPropertyDefinition.
__property System::Void | set_MappingDefinition (NAMESPACE_OSGEO_FDO_PROVIDERS_RDBMS_OVERRIDE_SQLSERVERSPATIAL::IOvPropertyMappingDefinition *propertyMappingDefinition)
__property System::Void | set_MappingDefinition (NAMESPACE_OSGEO_FDO_PROVIDERS_RDBMS_OVERRIDE_MYSQL::IOvPropertyMappingDefinition *propertyMappingDefinition)
## Protected Member Functions
| OvObjectPropertyDefinition (System::IntPtr unmanaged, System::Boolean autoDelete)

The documentation for this class was generated from the following files:

- mgOvObjectPropertyDefinition.h
- MySQL/mgOvObjectPropertyDefinition.h
- SQLServerSpatial/mgOvObjectPropertyDefinition.h